## ptpd 2.1.0

=== Makefile ===
# Root Makefile for ptpd, used for cutting releases

VERSION = ptpd-2.1.0

release:
	(cd src; make clean)
	mkdir $(VERSION)
	(cd $(VERSION); \
	ln -s ../src .; \
	ln -s ../doc .; \
	ln -s ../tools .; \
	ln -s ../COPYRIGHT .; \
	ln -s ../ChangeLog .; \
	ln -s ../Makefile .; \
	ln -s ../README .; \
	ln -s ../RELEASE_NOTES .)
	tar cvzf $(VERSION).tar.gz -L --exclude .o --exclude Doxygen --exclude .svn --exclude .dep --exclude core $(VERSION)

=== src/Makefile ===
# Makefile for ptpd

RM = rm -f
CFLAGS+= -Wall # -DBSD_INTERFACE_FUNCTIONS
#CPPFLAGS =   -DPTPD_DBGV -DPTPD_NO_DAEMON
LDFLAGS+= -lm -lrt

PROG = ptpd2
SRCS = ptpd.c arith.c bmc.c protocol.c display.c\
	dep/msg.c dep/net.c dep/servo.c dep/startup.c dep/sys.c dep/timer.c

OBJS = $(SRCS:.c=.o)

HDRS = ptpd.h constants.h datatypes.h \
	dep/ptpd_dep.h dep/constants_dep.h dep/datatypes_dep.h

CSCOPE = cscope
GTAGS = gtags
DOXYGEN = doxygen

TAGFILES = GPATH GRTAGS GSYMS GTAGS cscope.in.out cscope.out cscope.po.out

.c.o:
	$(CC) -c $(CFLAGS) $(CPPFLAGS) -o $@ $<

all: $(PROG)

$(PROG): $(OBJS)
	$(CC) $(LDFLAGS) -o $@ $(OBJS)

$(OBJS): $(HDRS)

tags:
	$(CSCOPE) -R -q -b
	$(GTAGS)
	$(DOXYGEN) Doxyfile

clean:
	$(RM) $(PROG) $(OBJS) $(TAGFILES) make.out

## ptpd 2.1.0-debian1

=== debian/changelog ===
ptpd (2.1.0-debian1-2) unstable; urgency=low

  * Adding patch to support ld --as-needed (Closes: #607583)
  * debian/rules: new dh style rules
  * debian/control: Standards-Version: 3.9.2

 -- Roland Stigge <stigge@antcom.de>  Sat, 31 Dec 2011 19:13:26 +0100

ptpd (2.1.0-debian1-1) unstable; urgency=low

  * New upstream release (Closes: #604862)

 -- Roland Stigge <stigge@antcom.de>  Sun, 12 Dec 2010 12:11:57 +0100

ptpd (2~rc1-debian1-1) unstable; urgency=low

  * New upstream release
  * New maintainer, as discussed with Andrew Straw
  * debian/control:
    - Standards-Version: 3.9.1

 -- Roland Stigge <stigge@antcom.de>  Sun, 22 Aug 2010 18:39:02 +0200

ptpd (1.0.0-1) unstable; urgency=low

  * Initial packaging. Closes: #443533.

 -- Andrew Straw <strawman@astraw.com>  Sun, 17 Jan 2010 15:17:27 -0800

=== debian/control ===
Source: ptpd
Section: net
Priority: optional
Maintainer: Roland Stigge <stigge@antcom.de>
Standards-Version: 3.9.2
Build-Depends: debhelper (>= 8)

Package: ptpd
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, lsb-base
Description: Precision Time Protocol daemon
 Implements the Precision Time Protocol (PTP) as defined by the IEEE
 1588-2008 standard. PTP was developed to provide very precise time
 coordination of LAN connected computers.
 .
 PTPd is a complete implementation of the IEEE 1588 specification for a
 standard (non-boundary) clock. PTPd has been tested with and is known
 to work properly with other IEEE 1588 implementations. The source code
 for PTPd is freely available under a BSD-style license. Thanks to
 contributions from users, PTPd is becoming an increasingly portable,
 interoperable, and stable IEEE 1588 implementation.
 .
 For more information, see http://ptpd.sourceforge.net/

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@

override_dh_auto_clean:
	make -C src clean

override_dh_auto_build:
	dh_auto_build -- -C src

override_dh_auto_install:
	cp src/ptpd2.8 debian/ptpd/usr/share/man/man8/ptpd.8
	dh_auto_install

=== debian/watch ===
version=3
opts=dversionmangle=s/-debian\d+$// http://sf.net/ptpd/ptpv(.+)\.tar\.gz debian uupdate

## ptpd 2.2.2

=== Makefile ===
--- 
+++ 
@@ -1,6 +1,22 @@
-# Root Makefile for ptpd, used for cutting releases
+# Root Makefile for ptpd, used for cutting releases and release candidates
 
-VERSION = ptpd-2.1.0
+NAME = ptpd
+VERSION = ${NAME}-2.2.2
+RC = ${NAME}-2-RC-0
+
+rc:
+	(cd src; make clean)
+	mkdir $(RC)
+	(cd $(RC); \
+	ln -s ../src .; \
+	ln -s ../doc .; \
+	ln -s ../tools .; \
+	ln -s ../COPYRIGHT .; \
+	ln -s ../ChangeLog .; \
+	ln -s ../Makefile .; \
+	ln -s ../README .; \
+	ln -s ../RELEASE_NOTES .)
+	tar cvzf $(RC).tar.gz -L --exclude .o --exclude Doxygen --exclude .svn --exclude .dep --exclude core $(RC)
 
 release:
 	(cd src; make clean)

=== src/Makefile ===
# Makefile for ptpd2

#
# Compile time defines:
#   -DRUNTIME_DEBUG
#     if defined:    all debug messages are included, and are either selected at startup (-B)
#                    and runtime (SIGUSR2) (implies -DPTPD_DBGV) using syslog, 
#                    add "*.debug /var/log/debug" to /etc/rsyslog.conf to see debug messages
#     if undefined:  individual defines select which messages will be included and presented (old behaviour)
#
#  -DPTPD_DBG     basic debug messages
#  -DPTPD_DBG2    adds basic protocol messages, +ignored messages reasons
#  -DPTPD_DBGV    adds all debug messages
#
#   -DPTPD_NO_DAEMON             forces option -c
#
#   -PTP_EXPERIMENTAL            Allows non-standard compliant experimental options:
#                                   -U: Hybrid mode
#                                   -I: choose multicast group
#
# Mutually exclusive defines (useful for testing):
#   -DDBG_SIGUSR2_CHANGE_DOMAIN: SIGUSR2 cycles the PTP domain number
#   -DDBG_SIGUSR2_CHANGE_DEBUG:  SIGUSR2 cycles the current debug level (if RUNTIME_DEBUG is defined)
#
#######

VERSION = 2.2.2

RM = rm -f
SYMLINK = ln -s

# start with CFLAGS += ..., so additional CFLAGs can be specified e.g. on the make command line
CFLAGS += -Wall -g -fPIC

CFLAGS += -DRUNTIME_DEBUG
#CFLAGS += -DPTPD_DBG
#CFLAGS += -DPTPD_DBG2
#CFLAGS += -DPTPD_DBGV

#CFLAGS += -DPTPD_NO_DAEMON
#CFLAGS += -DDBG_SIGUSR2_CHANGE_DOMAIN
CFLAGS += -DDBG_SIGUSR2_CHANGE_DEBUG

CFLAGS += -DPTP_EXPERIMENTAL

LDFLAGS = -lm -lrt
STATICLIBFLAGS = rcs
SHAREDLIBFLAGS = -shared -Wl,-soname

PROG = ptpd2
STATICLIB = libptpd2.a
SHAREDLIB = libptpd2.so
SHAREDLIBVER = $(SHAREDLIB).$(VERSION)

SRCS = ptpd.c arith.c bmc.c protocol.c display.c management.c \
	dep/msg.c dep/net.c dep/servo.c dep/startup.c dep/sys.c dep/timer.c

OBJS = $(SRCS:.c=.o)

HDRS = ptpd.h constants.h datatypes.h \
	dep/ptpd_dep.h dep/constants_dep.h dep/datatypes_dep.h

CSCOPE = cscope
GTAGS = gtags
DOXYGEN = doxygen

TAGFILES = GPATH GRTAGS GSYMS GTAGS cscope.in.out cscope.out cscope.po.out

.c.o:
	$(CC) -c $(CFLAGS) $(CPPFLAGS) -o $@ $<


$(PROG): $(OBJS)
	$(CC) -o $@ $(OBJS) $(LDFLAGS)

$(STATICLIB): $(OBJS)
	$(AR) $(STATICLIBFLAGS) $(STATICLIB) $(OBJS)

$(SHAREDLIB): $(OBJS)
	$(CC) $(SHAREDLIBFLAGS),$(SHAREDLIB) -o $(SHAREDLIB) $(OBJS)
        # create shared lib symlink with ptpd version extension
	$(SYMLINK) $(SHAREDLIB) $(SHAREDLIBVER)

all: $(PROG) $(STATICLIB) $(SHAREDLIB)

$(OBJS): $(HDRS)

tags:
	$(CSCOPE) -R -q -b
	$(GTAGS)
	$(DOXYGEN) Doxyfile

clean:
	$(RM) $(PROG) $(STATICLIB) $(SHAREDLIB) $(SHAREDLIBVER) $(OBJS) $(TAGFILES) make.out

realclean: clean
	$(RM) $(TAGFILES)

## ptpd 2.2.2-debian1

=== debian/changelog ===
ptpd (2.2.2-debian1-2) unstable; urgency=low

  * Reupload to unstable

 -- Roland Stigge <stigge@antcom.de>  Wed, 15 May 2013 22:00:17 +0200

ptpd (2.2.2-debian1-1) experimental; urgency=low

  * New upstream release (Closes: #704655)
  * Added fortify build options from dpkg-buildflags
  * debian/control:
    - Standards-Version: 3.9.4
    - Added Homepage
    - Build-Depends: debhelper (>= 9)
  * debian/compat: 9

 -- Roland Stigge <stigge@antcom.de>  Thu, 04 Apr 2013 10:25:40 +0200

=== debian/control ===
--- 
+++ 
@@ -2,8 +2,9 @@
 Section: net
 Priority: optional
 Maintainer: Roland Stigge <stigge@antcom.de>
-Standards-Version: 3.9.2
-Build-Depends: debhelper (>= 8)
+Standards-Version: 3.9.4
+Build-Depends: debhelper (>= 9)
+Homepage: http://sourceforge.net/projects/ptpd
 
 Package: ptpd
 Architecture: any

=== debian/rules ===
--- 
+++ 
@@ -7,7 +7,10 @@
 	make -C src clean
 
 override_dh_auto_build:
-	dh_auto_build -- -C src
+	dh_auto_build -- -C src \
+		CFLAGS="$(shell dpkg-buildflags --get CFLAGS)" \
+		CPPFLAGS="$(shell dpkg-buildflags --get CPPFLAGS)" \
+		LDFLAGS="$(shell dpkg-buildflags --get LDFLAGS)"
 
 override_dh_auto_install:
 	cp src/ptpd2.8 debian/ptpd/usr/share/man/man8/ptpd.8

## ptpd 2.3.0-dfsg

=== debian/changelog ===
ptpd (2.3.0-dfsg-1) unstable; urgency=medium

  * Repackaged by removing doc/draft-ietf-tictoc-ptp-mib-01.txt and
    doc/ptpd_2005_1588_conference_paper.pdf due to license issues
    (Closes: #745406)

 -- Roland Stigge <stigge@antcom.de>  Sun, 18 May 2014 20:05:16 +0200

ptpd (2.3.0-1) unstable; urgency=medium

  * New upstream release
  * debian/control: Standards-Version: 3.9.5

 -- Roland Stigge <stigge@antcom.de>  Sat, 12 Apr 2014 10:50:26 +0200

=== debian/control ===
--- 
+++ 
@@ -2,8 +2,8 @@
 Section: net
 Priority: optional
 Maintainer: Roland Stigge <stigge@antcom.de>
-Standards-Version: 3.9.4
-Build-Depends: debhelper (>= 9)
+Standards-Version: 3.9.5
+Build-Depends: debhelper (>= 9), libpcap0.8-dev, dh-autoreconf
 Homepage: http://sourceforge.net/projects/ptpd
 
 Package: ptpd

## ptpd 2.3.1

=== tools/ptplib/DESCRIPTION ===
Package: ptplib
Type: Package
Title: Routines for working with PTPd log files (ptpd.sf.net)
Version: 1.0
Date: 2013-12-04
Author: George Neville-Neil
Maintainer: George Neville-Nei <gnn@neville-neil.com>
Description: A set of routines for reading PTPd log files into data frames, graphing the frames in various ways and based on different columns, as well as showing generalized statistics about the performance of the PTPd client based on the log data.
License: BSD_2_clause

## ptpd 2.3.1-debian1

=== debian/changelog ===
ptpd (2.3.1-debian1-5) unstable; urgency=medium

  * add service file (Closes: #1039333)
  * debian/control: bump standard to 4.7.2 (no changes)
  * debian/control: use dh 13 now
  * debian/control: Provides: time-daemon (Closes: #966458)

 -- Thorsten Alteholz <debian@alteholz.de>  Sat, 01 Nov 2025 19:26:16 +0100

ptpd (2.3.1-debian1-4) unstable; urgency=medium

  * debian/control: bump standard to 4.2.1
  * debian/control: use dh 11 now
  * debian/control: add salsa VCS URLs
  * debian/control: remove useless dependency on dh-autoreconf

 -- Thorsten Alteholz <debian@alteholz.de>  Fri, 07 Dec 2018 19:26:16 +0100

ptpd (2.3.1-debian1-3) unstable; urgency=medium

  * move to unstable now
  * debian/control: bump standard to 4.0.1
  * debian/control: use dh 10 now

 -- Thorsten Alteholz <debian@alteholz.de>  Mon, 21 Aug 2017 19:26:16 +0200

ptpd (2.3.1-debian1-2) experimental; urgency=medium

  * New maintainer (Closes: #812754)
  * upload to experimental
  * debian/control: bump standard to 3.9.8
  * add spelling.patch and lintian-warnings.patch
  * debian/rules: manually add link flags

 -- Thorsten Alteholz <debian@alteholz.de>  Wed, 10 May 2017 19:26:16 +0200

ptpd (2.3.1-debian1-1) unstable; urgency=medium

  * New upstream release
  * Repackaged due to license-problem-non-free-RFC-BCP78
    doc/draft-ietf-tictoc-ptp-mib-01.txt
  * debian/control: Standards-Version: 3.9.6

 -- Roland Stigge <stigge@antcom.de>  Fri, 22 Jan 2016 16:26:16 +0100

=== debian/control ===
--- 
+++ 
@@ -1,14 +1,18 @@
 Source: ptpd
 Section: net
 Priority: optional
-Maintainer: Roland Stigge <stigge@antcom.de>
-Standards-Version: 3.9.5
-Build-Depends: debhelper (>= 9), libpcap0.8-dev, dh-autoreconf
+Maintainer: Thorsten Alteholz <debian@alteholz.de>
+Standards-Version: 4.7.2
+Build-Depends: debhelper-compat (= 13)
+	, libpcap0.8-dev
 Homepage: http://sourceforge.net/projects/ptpd
+Vcs-Browser: https://salsa.debian.org/alteholz/ptpd
+Vcs-Git: https://salsa.debian.org/alteholz/ptpd.git
 
 Package: ptpd
 Architecture: any
 Depends: ${shlibs:Depends}, ${misc:Depends}, lsb-base
+Provides: time-daemon
 Description: Precision Time Protocol daemon
  Implements the Precision Time Protocol (PTP) as defined by the IEEE
  1588-2008 standard. PTP was developed to provide very precise time

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@ --with autoreconf

override_dh_auto_clean:
	[ ! -f src/Makefile ] || make -C src clean

override_dh_auto_build:
	dh_auto_build -- -C src \
		CFLAGS="$(shell dpkg-buildflags --get CFLAGS)" \
		CPPFLAGS="$(shell dpkg-buildflags --get CPPFLAGS)" \
		LDFLAGS="$(shell dpkg-buildflags --get LDFLAGS) -Wl,-z,now"

override_dh_auto_install:
	dh_auto_install
	cp src/ptpd2.8 debian/ptpd/usr/share/man/man8/ptpd.8
	rm debian/ptpd/usr/share/man/man8/ptpd2.8
	cp src/ptpd2.conf.5 debian/ptpd/usr/share/man/man5/ptpd.conf.5
	rm debian/ptpd/usr/share/man/man5/ptpd2.conf.5

=== debian/watch ===
version=4
opts=dversionmangle=s/-debian\d+$// http://sf.net/ptpd/ptpv(.+)\.tar\.gz debian uupdate
